# Manuel de &aktion;

Chris
D.
Corbettis

    chris@corbettis.fsnet.co.uk

Guillermo
P.
Marotte

    g-marotte@usa.net

Développeur
Lauri
Watts

    lauri@kde.org

Relecteur
Ludovic
Grossard

    ludovic.grossard@libertysurf.fr

Traduction française
Philip
Ducharme

    philip.ducharme@hermes.usherb.ca

Relecture française
2000
Chris D. Corbettis
&FDLNotice;
2002-02-04
1.99.00

&aktion; est un lecteur vidéo

KDE
aKtion
kdemultimedia
mpeg
avi
QuickTime
gif
xanim

## Introduction

&aktion; est une interface pour le lecteur vidéo Xanim. Il reconnaît de nombreux encodages vidéo que l'on peut trouver sur Internet, y compris les formats mpeg1, QuickTime et les gifs animés. Veuillez signaler tout problème ou demande de nouvelles fonctionnalités aux listes de discussions de &kde;.

## Utiliser &aktion;

Voici une copie d'écran de &aktion;
Screenshot

L'utilisation de &aktion; est très simple. Cliquez avec le bouton droit de la souris dans la fenêtre principale ou sélectionnez l'icône ouvrir dans la barre d'outils, choisissez le film que vous souhaitez regarder, et appuyez sur le bouton OK.

### Le menu contextuel

Le menu contextuel est accessible en cliquant avec le bouton droit de la souris sur la fenêtre de lecture. Il est utilisé pour modifier rapidement la taille de cette dernière, ouvrir des fichiers et accéder à la boîte de dialogue d'informations sur le fichier vidéo.

Le menu contextuel est décrit plus loin dans la section .

### &aktion; en plein écran

Il est possible de visionner un film vidéo en plein écran. Pour cela, cliquez avec le &BDS; n'importe où dans &aktion; et choisissez Plein écran. Pour sortir, cliquez avec le &BGS; ou le &BDS; sur l'écran. Si ça ne fonctionne pas, il vous faut probablement activer cette fonctionnalité.

Si possible, utilisez les extensions XFree86 VidMode et DGA. Ces extensions permettent à l'application de changer automatiquement de résolution pour ajuster au mieux la taille de l'affichage vidéo. D'habitude, un film vidéo d'une résolution de 320x200 serait affichée par défaut en 800x600. Ce redimensionnement nécessite des calculs supplémentaires et le résultat n'est pas très sympathique. Dans la boîte de dialogue de configuration, il y a deux cases à cocher intéressantes.

Utiliser XFree86-VidModeExtensions (si disponible)

  Active le mode plein écran

Capturer la souris

  &aktion; Prend contrôle de la souris en mode plein écran

## Commandes

### Le menu contextuel vidéo

Le menu contextuel vidéo est activé en cliquant avec le bouton droit de la souris sur la fenêtre de vidéo, alors qu'un film est chargé.

Informations sur la vidéo

  Affiche un menu surgissant contenant les informations sur le fichier vidéo actuel, comme le nombre d'images, le type d'encodage et la taille originale en pixels.

Ouvrir

  Ouvre la boîte de dialogue d'ouverture de fichier de &kde;, avec les filtres prédéfinis pour les formats de fichiers reconnus par &aktion;.

Configuration

  Ouvre la boîte de dialogue Configuration, où vous pouvez régler le comportement de &aktion;.

Taille originale

  Redimensionne la fenêtre de &aktion; à la taille d'origine (en pixels) du film vidéo. Ceci n'a évidemment aucun effet tant que vous n'avez pas changé la résolution du film.

Moitié de la taille

  Redimensionne la fenêtre de &aktion; à la moitié de la taille originale du film.

Double de la taille

  Redimensionne la fenêtre de &aktion; au double de la taille originale du film.

Maximisée

  Redimensionne la fenêtre de &aktion; pour se rapprocher au mieux de la taille de l'écran. L'image vidéo gardera les mêmes proportions (c'est-à-dire que la relation entre sa hauteur et sa largeur est constante) plutôt que de se déformer pour avoir exactement la taille de l'écran. Une image vidéo haute et mince sera toujours une image haute et mince, mais maintenant maximisée de sorte que sa plus grande dimension correspond à celle de l'écran, mise à part les parties de l'écran affichées en permanence comme par exemple le tableau de bord &kicker;.

Plein écran

  &aktion; prend tout votre écran.

  Vous pouvez trouver plus d'informations à

### La barre d'outils

La barre d'outils de &aktion;
Barres d'outils

La barre d'outils est affichée en bas de la fenêtre de &aktion;. Elle contient les icônes suivantes :

Ouvrir

  Ouvre la boîte de dialogue d'ouverture de fichier de &kde;, avec les filtres prédéfinis pour les formats de fichiers reconnus par &aktion;.

Lecture

  Débute la lecture du fichier vidéo

Arrêter

  Arrête la lecture du fichier vidéo

Retour rapide

  Recule dans la vidéo

Avance rapide

  Avance dans la vidéo

Configuration

  Ouvre la boîte de dialogue de configuration.

Aide

  Ouvre la page d'aide de &aktion; (ce document)

Juste au dessus de la barre d'outils, sur la droite de la fenêtre de &aktion;, se trouve le réglage de volume. Il peut être utilisé pour ajuster le volume sonore de la vidéo, du moins fort (à gauche) au plus fort (à droite).

### La boîte de dialogue de configuration de &aktion;

La boîte de dialogue de configuration contient cinq onglets :

- Audio

- Couleur

- Taille

- Capture

- Autres

La boîte de dialogue contient aussi les boutons OK et Annuler standards. Cliquez sur OK pour fermer la boîte de dialogue et enregistrer les modifications, et cliquez sur Annuler pour fermer la boîte de dialogue sans enregistrer les changements.

#### Configuration du Son

Cet onglet contient les options relatives au son du film.

Lire la bande son

  Lit la bande son. Si ce n'est pas coché, il n'y aura pas de son lors de la lecture du film.

Sauter des images pour synchroniser le son

  En cochant ceci, vous permettez à &aktion; de sauter quelques images afin de synchroniser le son et l'image. Activez cette option si vous avez une machine lente et trouvez que l'image et le son ne sont pas lus à la même vitesse - souvent la piste audio se termine alors que la piste vidéo est encore en cours de lecture. Il y aura une perte de qualité vidéo, qui pourrait être faible, ou même nulle, en fonction de la vitesse de votre machine et de la mémoire dont elle dispose.

Afficher le réglage du volume

  (Dés)Active l'affichage du réglage de volume, au dessus et à droite de la barre d'outils. L'affichage est activé par défaut.

Volume initial (0-100)

  Règle le volume au début du film. Les modifications effectuées avec le réglage de volume se feront relativement à cette valeur. Utilisez les flèches pour modifier cette valeur ou saisissez directement une valeur dans la zone de saisie.

#### Configuration de la Couleur

Cet onglet contient les options de gestion des couleurs par &aktion;.

Palette de couleurs (affichage non TrueColor)

  Cette section ne concerne que les affichages avec moins de couleurs que TrueColor (16 bits). Si vous avez des problèmes avec des couleurs apparaissant de manière étrange, essayez ces options.

  TrueColor vers 322 (couleurs statiques)

    &aktion; convertira l'image vidéo avec la palette de couleur Static322 avant de l'afficher.

  Palette de couleurs

    Si cette option est sélectionnée, &aktion; va créer une palette sous la forme d'une table de numéros de couleurs. Vous pouvez choisir le nombre de trames qui vont être examinées par anticipation pour constituer cette table. L'utilisation de la mémoire est d'autant plus élevé que ce nombre est élevé. La valeur par défaut est 5.

  TrueColor vers dégradé de gris

    &aktion; convertira la vidéo en niveaux de gris.

  Aucune

    L'option par défaut est Aucune - &aktion; ne modifiera pas les couleurs. N'essayez les autres options que si vous avez des problèmes lors du visionnement de fichiers vidéo.

Gamma de l'écran :

  Règle la correction gamma de l'affichage. Des valeurs de Gamma supérieures à 1 correspondent typiquement à des animations plus brillantes.

#### Configuration de la taille

Cet onglet contient les options concernant la taille de l'image vidéo.

Taille de l'affichage

  Définit la taille de l'image vidéo, par rapport à sa taille originale.

  Vous avez le choix entre les réglages suivants :

  - Taille originale
  - Moitié de la taille
  - Double de la taille
  - Maximisée
  - Plein écran
Plein écran

  Options supplémentaires pour le mode plein écran de &aktion;.

  Utiliser XFree86-VidModeExtensions (si disponible)

    Active le mode plein écran. Vous pouvez trouver plus d'informations à la section Utiliser &aktion; en plein écran

  Capturer la souris

    Prend contrôle de la souris en mode plein écran.

#### Configuration de la Capture

&aktion; vous permet de faire des captures d'écran (snapshots) de la vidéo que vous visualisez, simplement en appuyant sur la touche C. Cet onglet contient les options relatives à cette caractéristique.

Format des fichiers d'enregistrement

  Choisissez le format avec lequel vos captures seront enregistrées. Vous avez le choix entre :

  - bmp
  - jpeg
  - pbm
  - pgm
  - png
  - ppm
  - xbm
  - xpm

  La valeur par défaut est png

Dossier d'enregistrement des fichiers :

  Choisissez où les captures d'écran seront enregistrées. Le dossier par défaut est `~` (votre répertoire personnel). Saisissez éventuellement un chemin vers un dossier différent directement dans la zone de texte ou appuyez sur le bouton ... pour ouvrir une boîte de dialogue de sélection de fichiers et pour vous déplacer vers le dossier choisi.

#### Autres configurations

Cet onglet contient des options diverses.

Chargement du fichier vidéo

  Cette section contient les options relatives au préchargement des films. Vous avez le choix entre :

  Charger l'animation en mémoire

    Charge l'animation entière dans la mémoire de l'ordinateur avant de commencer à la lire.

  Charger et décompacter l'animation

    Charge l'animation entière dans la mémoire de l'ordinateur, et la décompacte, avant de commencer à la lire.

  Lire chaque secteur seulement si nécessaire

    Ne fait aucun préchargement, en lisant chaque section de la vidéo depuis le disque uniquement lorsque cela est nécessaire.

  La valeur par défaut est Lire chaque secteur seulement si nécessaire

Utiliser la mémoire partagée de X11

  Cette option n'est pas disponible si vous choisissez "Charger et décompacter l'animation" dans la section ci-dessus. Elle est sélectionnée par défaut.

Utiliser le multi-tamponnage de X11

  &aktion; utilisera la mise en mémoire-tampon de X11 (si disponible) pour lisser l'animation par double-tamponnage. Cette option est sélectionnée par défaut.

Utiliser des «Pixmap» au lieu des «Image» de X11

  &aktion; utilisera le format «Pixmap» au lieu du format «Image» dans X11shared. Ce choix n'a pas d'effet si l'animation est tamponnée.

Dossier initial

  Détermine le dossier qui est affiché lorsque vous voulez ouvrir une animation. Saisissez le chemin directement dans la zone de texte, ou utilisez le bouton ... pour naviguer jusqu'à votre répertoire favori. Évidemment, ce n'est que le répertoire par défaut, et vous pouvez parcourir d'autres dossiers lorsque vous ouvrez réellement une animation. Par défaut, la zone de texte est vide, et dans la plupart des cas, &aktion; commence par regarder le choix des films dans votre dossier personnel.

Lire l'animation en boucle

  Lorsque l'animation se termine, elle sera lue à nouveau, jusqu'à ce que vous appuyiez sur le bouton Stop.

Lancer automatiquement l'animation

  &aktion; commencera à lire la vidéo dès que vous l'aurez sélectionnée. Si cette option est décochée, vous devrez appuyer sur lecture pour lancer l'animation.

Paramètres supplémentaires de XAnim

  Si vous voulez passer des paramètres supplémentaires à l'application XAnim, indiquez-les ici.

## Guide du développeur de &aktion;

&aktion; includes the `KXAnim` widget wrapper, with it you can include video playback in your own programs.

KXAnim
KXAnim Class Reference

### KXAnimChildren

A xanim wrapper to allow video playing in your apps.
18/08/2000

    Public Members

          KXAnim (QWidget *parent, const char *name=0)
          ~KXAnim ()
          void setFile (QString file)
          void setAutoResize (bool val)
          bool getAutoResize ()
          void updateSize ()
          void setLoop (bool val)
          bool getLoop ()
          QString getVideoFileName ()
          int getVideoHeight ()
          int getVideoWidth ()
          float getVideoSpeed ()
          int getVideoFrames ()
          QString getVideoCodec ()
          QString getErrorCode ()
          QString getErrorString ()
          bool isPlaying ()
          bool isActive ()
          void resetXAnimDefaults ()
          void setAudio (bool val)
          void setAudioSync (bool val)
          void setInitialVolume (int val)
          enum colorMap { static332, lookupTable, grayScale, none }
          void setColorMapping (colorMap val)
          void setColorAhead (int val)
          void setGammaDisplay (float val)
          void setResizing (bool val)
          void setScaleFactor (float val)
          void setScaleHFactor (float val)
          void setScaleVFactor (float val)
          void setScaleWidth (int val)
          void setScaleHeight (int val)
          void setScaleDisplayToBuffer (bool val)
          void setScaleFactorB (float val)
          void setScaleHFactorB (float val)
          void setScaleVFactorB (float val)
          void setScaleWidthB (int val)
          void setScaleHeightB (int val)
          void setScaleBufferToDisplay (bool val)
          void setLoading (int val)
          void setX11Shared (bool val)
          void setMultiBuffer (bool val)
          void setUsePixmap (bool val)
          void setX11VisualClass ( const char *val)
          void setPauseAt (int val)
          void setExtraParameters (const char *val)
          void setExecutable (const char *val)

    Public Slots

          void play ()
          void pause ()
          void stop ()
          void stepForward ()
          void stepBack ()
          void stepForwardWA ()
          void stepBackWA ()
          void toggleSound ()
          void volumeIncrement ()
          void volumeDecrement ()
          void setVolume (int v)
          void faster ()
          void slower ()
          void resetSpeed ()

    Protected Members

          void changeProperty ( const char * c)
          virtual void closeEvent ( QCloseEvent *)
          virtual void mousePressEvent ( QMouseEvent *)

    Signals

          void stopped ()
          void mouseClick ( QMouseEvent *)

#### Detailed Description of `KXAnim`

#include <kxanim.h>

Hérite de : `QWidget`

Widget class for video playing

This widget is an xanim wrapper to easily allow the video playing on your applications.

      KXAnim QWidget *parent const char *name=0

[public]

  Constructor. The parent argument is NOT optional.

      void setFile QString file

[public]

  Use this method to tell the player the name of the file to play. The file will not start to play until you call the `play()` slot. You need to call `stop()` before you can set a new filename.

  After calling this method, you should wait for an stopped signal. Just then, the information about the file will be available.

  Also check for KXAnim::getErrorNumber and `getErrorString` to know if there was some error.

      void setAutoResize bool val

[public]

  If `val`==true, the widget will resize by himself after the `setFile()` to fit to the size of the video. If `val`==false, the video size will be adjusted to fit to the widget size.

  The size of the widget is automatically updated by `setFile` and play But if you need to know the effective size of the widget *before* you call `play`, you need to call `updateSize` manually.

  Default is true

      bool getAutoResize

[public]

  Returns the auto-resize state (see `setAutoResize` ).

      void updateSize

[public]

  Updates the widget size to fit video size (taking care of the scale factors that applies). See `setAutoResize` .

      void setLoop bool val

[public]

  If `val`==true, the video will loop forever.

  Default is true

      bool getLoop

[public]

  Returns the loop state ( see `setLoop` ).

      QString getVideoFileName

[public]

  Returns the current video file name (or an empty string, if there's no video yet).

      int getVideoHeight

[public]

  Returns the video height (in pixels).

      int getVideoWidth

[public]

  Returns the video height (in pixels).

      float getVideoSpeed

[public]

  Returns the video playback speed (in frames per second).

      int getVideoFrames

[public]

  Returns the number of frames in the video.

      QString getVideoCodec

[public]

  Returns the string that describes the video codec.

      QString getErrorCode

[public]

  Returns the the error code number. You should check this number after a `setFile`. If the code is zero , the there were no errors. To get a string containing a description see `getErrorCode`.

      QString getErrorString

[public]

  Returns the string that describes the error during `setFile`.

      bool isPlaying

[public]

  Returns true is the video is in play mode. Otherwise it returns false.

      bool isActive

[public]

  Returns true is the video is active. Otherwise it returns false. The widget is NOT Active only when it's stopped. Therefore, you can use this method to check if the video is REALLY stopped.

      void resetXAnimDefaults

[public]

  This method reset all the configuration parameters to their default values.

      void setAudio bool val

[public]

  If `val`==true, enables sound output.

  Default is true

      void setAudioSync bool val

[public]

  If `val`==true, allows xanim skip video frames for audio sync.

  Default is true

      void setInitialVolume int val

[public]

  Sets the initial audio volume.

  Default is 40

enum colorMap ( static332, lookupTable, grayScale, none ) [public]

  See setColorMapping .

      void setColorMapping colorMap val

[public]

  Tells `KXAnim` which type of color mapping to use for non truecolor displays.

  If `val`==KXAnim::static322, xanim will convert truecolor anims to static322.

  If `val`==KXAnim::lookupTable, xanim will sample the color of truecolor animations ahead of time and forms a color lookup table.

  If `val`==KXAnim::grayScale, xanim will convert TrueColor animations to gray scale.

  Those three option are ignored for TrueColor and DirectColor displays.

  if `val`==KXAnim::none, xanim will use the default color mapping.

  Default is KXAnim::none

      void setColorAhead int val

[public]

  This sets the number of frames ahead to use for the look up table when using KXAnim::lookupTable in `setColorMapping`.

  Default is 5

      void setGammaDisplay float val

[public]

  Règle la correction gamma de l'affichage. Des valeurs plus grandes de Gamma correspondent typiquement à des animations plus brillantes.

  Default is 1.0

      void setResizing bool val

[public]

  If `val`==true, the video size can be changed "on the fly".

  Default is true

      void setScaleFactor float val

[public]

  Scale the size of anim by "`val`" before displaying.

  Default is 1.0 (no scaling)

      void setScaleHFactor float val

[public]

  Scale the horizontal size of anim by "`val`" before displaying.

  Default is 1.0 (no scaling)

      void setScaleVFactor float val

[public]

  Scale the vertical size of anim by "`val`" before displaying.

  Default is 1.0 (no scaling)

      void setScaleWidth int val

[public]

  Scale the animation to have width "`val`" before displaying.

  Default is 0 (no scaling)

      void setScaleHeight int val

[public]

  Scale the animation to have height "`val`" before displaying.

  Default is 0 (no scaling)

      void setScaleDisplayToBuffer bool val

[public]

  Copy display scaling factors to buffering scaling factors.

  Default is false.

      void setScaleFactorB float val

[public]

  Scale the size of anim by "`val`" before buffering it.

  Default is 1.0 (no scaling)

      void setScaleHFactorB float val

[public]

  Scale the horizontal size of anim by "`val`" before buffering it.

  Default is 1.0 (no scaling)

      void setScaleVFactorB float val

[public]

  Scale the vertical size of anim by "`val`" before buffering it.

  Default is 1.0 (no scaling)

      void setScaleWidthB int val

[public]

  Scale the animation to have width "`val`" before buffering it.

  Default is 0 (no scaling)

      void setScaleHeightB int val

[public]

  Scale the animation to have height "`val`" before buffering it.

  Default is 0 (no scaling)

      void setScaleBufferToDisplay bool val

[public]

  Copy buffering scaling factors to display scaling factors.

  Default is false.

      void setLoading int val

[public]

  0: `KXAnim` will load the entire video into memory.

  1: `KXAnim` will load and decompress the animation entirely into memory before displaying.

  2: `KXAnim` will read each sector only when needed

  Default is 2.

      void setX11Shared bool val

[public]

  If `val`==true, `KXAnim` will use X11 shared memory (this is mutually exclusive with `setPreload` .

  Default is false.

      void setMultiBuffer bool val

[public]

  If `val`==true, `KXAnim` will use X11 Buffering (if present) to smooth animations by double-buffering.

  Default is true.

      void setUsePixmap bool val

[public]

  If `val`==true, `KXAnim` will use Pixmap instead of Image in X11shared. This option has no effect if the animation is buffered.

  Default is false.

      void setX11VisualClass const char *val

[public]

  Select the best X11 Visual of Class... when displaying the animation. `val` can be anyone of the following strings and is case insensitive:

  - default
  - staticgray
  - grayscale
  - staticcolor
  - pseudocolor
  - truecolor
  - directcolor

  Default is default.

      void setPauseAt int val

[public]

  This will pause XAnim at frame `val`. `val`=-1 disables this option.

  Default is -1 (no pause).

      void setExtraParameters const char *val

[public]

  Use this method to pass any extra parameters you want to xanim (separated by spaces).

      void setExecutable const char *val

[public]

  Use this method to set the executable name for xanim. Default is "xanim", but you can change it, for instance, if you don't have xanim in the path.

      void play

[public slot]

  Start playing the video.

      void pause

[public slot]

  Pauses the video playing (xanim is still runnig).

      void stop

[public slot]

  Stops the video and exit xanim (don't worry about it, it's transparent for the class user).

  Calling this slot doesn't mean that the video will stop immediately. Use the stopped signal to know exactly when the player is set to the inactive mode (see `isActive` ).

      void stepForward

[public slot]

  Single step forward one frame. Pauses the video playing.

      void stepBack

[public slot]

  Single step back one frame. Pauses the video playing.

      void stepForwardWA

[public slot]

  Single step forward one frame staying with anim. Pauses the video playing.

      void stepBackWA

[public slot]

  Single step back one frame staying with anim. Pauses the video playing.

      void toggleSound

[public slot]

  Toggle sound between ON/OFF.

      void volumeIncrement

[public slot]

  Increment volume by 1.

      void volumeDecrement

[public slot]

  Decrement volume by 1.

      void setVolume int v

[public slot]

  Setup volume where `v` is a number from 0 to 100.

      void faster

[public slot]

  Increase animation playback speed.

      void slower

[public slot]

  Decrease animation playback speed.

      void resetSpeed

[public slot]

  Reset animation playback speed to original values.

      void changeProperty const char * c

[protected]

  Don't use it! This is internally used for the communication with xanim.

      void stopped

[signal]

  This signal is emitted after a call to the `stop()` slot, and means that the player has really stopped playing (that xanim is inactive) (see `stop`).

      void mouseClick QMouseEvent *

[signal]

  This signal is emitted when the user clicks into the widget.

## Questions et réponses

Que signifie le message "Codec vidéo nonreconnu" ?

Ceci signifie qu'il est impossible de lire le format de la vidéo. Ce peut être dû au fait que xanim n'est pas installé avec toutes les options, regardez la réponse suivante pour de plus amples informations.

Il y a certains codecs qui ne pourront pas être lus dans l'avenir, celui qui vous affectera le plus est Sorenson, utilisé dans QuickTime 4.

Comment faire fonctionner xanim avec toutes les options ?

Allez sur le site internet de xanim et suivez les instructions pour installer les codecs vidéocinepak, indeo et creative. Vous devrez peut-être recompiler xanim, mais vérifiez la documentation de vos distributions, car certaines sont plus faciles à installer que d'autres.

Comment savoir si les extensions VidMode et DGA sont disponibles sur mon système ?

Il y a deux façons de vérifier, et celle que vous utiliserez dépend de la façon avec laquelle vous avez installé &aktion;.

&aktion; installé à partir des source

  Vérifiez la sortie de `./configure`, vous devriez voir `"checking for VidModeextensions..."` (NdT vérification des extensions VidMode). Si le script affiche `"no"` après cette ligne, alors vous n'avez pas les extensions.

&aktion; installé à partir des binaires (rpm ou deb)

  Recherchez dans votre système deux fichiers nommés :`libXxf86vm.a` et `libXxf86dga.a`, si vous les avez, c'est bon.

Dans les deux cas, si vous n'avez pas les extensions, vérifiez que vous avez installé le paquetage rpm XFree86-devel. Les extensions sont contenues dans ce paquetage.

Comment savoir si les extensions VidMode fonctionnent sur mon système ?

Essayez de commuter entre les modes vidéo avecCTRL ALT numpad+, si rien ne se passe, vous devez peut être simplement activer des résolutions supplémentaires, regardez la réponse suivante pour plus de détails.

Comment régler d'autres modes vidéo ?

Vous avez probablement un utilitaire de configuration de la vidéo fourni avec votre distribution. Dans le cas contraire, XF86Config est toujours disponible.

Activez autant de résolutions que vous le pouvez, tout au moins la résolution 640x400 en plus de votre réglage de résolution habituelle.

## Remerciements et Licence

&aktion;

Programme copyright 2000 Guillermo P. Marotte g-marotte@usa.net

Collaborateurs :

- Benjamin Sher sher07@bellsouth.net

auteur de Xanim :

- Mark Podlipec

Documentation copyright 2000 Chris D. Corbettis chris@corbettis.fsnet.co.uk

Traduction française par Ludovic Grossard ludovic.grossard@libertysurf.fr et Philip Ducharme philip.ducharme@hermes.usherb.ca

&underFDL; &underGPL;

## Installation

### Comment obtenir &aktion;

&install.intro.documentation;

### Prérequis

Pour compiler &aktion;, vous avez besoin de &kde; 2 et de xanim 2.70.7.0 ou plus récent. Le mode plein écran nécessite que les extensions VidMode et DGA soient installées et opérationnelles.

Toutes les librairies nécessaires aussi bien que &aktion; lui-même peuvent être trouvés sur le site de &aktion; et sur le site de Xanim

### Compilation et installation

&install.compile.documentation;

### Configuration

N'oubliez pas d'installer xanim avant &aktion;.

&documentation.index;